package es.uoc.mejoratuingles.activities;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.webkit.WebView;
import android.widget.Toast;



public class AyudaView extends Activity {
	
	//Nuestra vista necesaria para la web
	private WebView mWebView;
	
	 @Override
	    public void onCreate(Bundle icicle) {
	        super.onCreate(icicle);
	        setContentView(R.layout.ayuda_layout);
	        
	        String tema="file:///android_asset/ayuda.html";
	 
	        mWebView = (WebView) findViewById(R.id.ayuda);
	        mWebView.loadUrl(tema);
	    }
	 
	 
	    @Override
	    public boolean onCreateOptionsMenu(Menu menu) {
	        getMenuInflater().inflate(R.menu.menu_ayuda, menu);
	        return true;
	    }
	    
	    @Override
	    public boolean onOptionsItemSelected(MenuItem item) {
	    
	    	Intent intento=null;
	    	
	    	
	        switch (item.getItemId()) {
	            case R.id.MnuOpc1:     
	            	intento=new Intent(AyudaView.this, ListadoLeccion.class);
	            	Log.d("MejoraTuIngles","probando...");
	                break;
	            case R.id.MnuOpc2:
	                intento=new Intent(AyudaView.this, ProgresoView.class);
	              
	                break;
	            
	        
	                
	 
	            default:
	                return super.onOptionsItemSelected(item);
	        }
	        
	        startActivity(intento);
	        
	       
	        
	        return true;
	    }
		

}
